hit tracker

How to play games that require 4.55 OFW when im on 4.50 ?

Discussion in 'Game Backup (ISO's) Discussion' started by Karlo95, Feb 9, 2014.

  1. 122
    1
    0
    Karlo95

    Karlo95 Loyal Member

    Joined:
    Oct 4, 2013
    Hello is there any way to play new games that require 4.55 OFW like new Lego Movie Video Game ?
    Thanks :)
    im hoping there will be fix so i can update my ps3 :)
    i have cech 2504b and if anyone tryed to update on that console let me know what happend :)
     
  2. 312
    42
    0
    Alfredo Guilenea

    Alfredo Guilenea <b>Ferrari's Engineer</b><br /><i>MaxConsole Spani Loyal Member

    Joined:
    Oct 5, 2013
    Location:
    Argentina - Capital Federal
    We still waiting for the cobra team with news about that.
    there are some reports some 2k5 are working with 4.55 but i cant confirm you that would be safe to update.
    for now 2k and below are working.
     
  3. 55
    4
    0
    game8oy

    game8oy Loyal Member

    Joined:
    Jan 16, 2014
    Occupation:
    Robin Hood
    Location:
    rubles county
    fyi the lego movie vg is 4.53
     
  4. 122
    1
    0
    Karlo95

    Karlo95 Loyal Member

    Joined:
    Oct 4, 2013
    yes its 4.53 or 4.55 but i didnt updated on 4.53 im still on 4.50 :/
     
  5. 312
    42
    0
    Alfredo Guilenea

    Alfredo Guilenea <b>Ferrari's Engineer</b><br /><i>MaxConsole Spani Loyal Member

    Joined:
    Oct 5, 2013
    Location:
    Argentina - Capital Federal
    You just have to download the 4.53 update and do the update offline
     
  6. 122
    1
    0
    Karlo95

    Karlo95 Loyal Member

    Joined:
    Oct 4, 2013
    i have no idea where to get update cuz on sony site there is only 4.55 :p and i dont wanna risk and download the wrong update xD so i will just wait for some new solution
     
  7. 4
    1
    0
    torroa

    torroa Loyal Member

    Joined:
    Feb 8, 2014
    Karlo95 likes this.
  8. 122
    1
    0
    Karlo95

    Karlo95 Loyal Member

    Joined:
    Oct 4, 2013
  9. 529
    84
    28
    diablothebest

    diablothebest Loyal Member

    Joined:
    Sep 15, 2013
    To play 4.55 games on 4.53 or 4.50 just need edit PARAM.SFO with SFO Editor to change FW from 4.55 to lowest and create iso with this PARAM.SFO! Encryption keys on 4.55 same like 4.53. 4.50 and else down.
     
  10. 303
    7
    0
    parenghames

    parenghames Loyal Member

    Joined:
    Sep 15, 2013
    this is good news. at least we, users with 4.53, can still play games requiring ofw 4.55.
     
  11. 59
    6
    0
    Jyuri

    Jyuri Loyal Member

    Joined:
    Dec 3, 2013
    There should not be anything but online connection that will require 4.55 atm. You wont even see games with 4.55 until another month or so....

    In any case If the update file in PS3_UPDATE folder is replaced to one of 4.53 or lower wouldn't this bypass this problem?
     
  12. 312
    42
    0
    Alfredo Guilenea

    Alfredo Guilenea <b>Ferrari's Engineer</b><br /><i>MaxConsole Spani Loyal Member

    Joined:
    Oct 5, 2013
    Location:
    Argentina - Capital Federal
    i hope so, because im wating to Dark souls 2 Release!!
    but im pretty sure that the team cobra will manage to get back the games working again.
    if CFW can, why dont the cobra
     
  13. 303
    7
    0
    parenghames

    parenghames Loyal Member

    Joined:
    Sep 15, 2013
    Cfw can coz they have access to so many things inside the console. What ode users can do are limited.Besides, their firmware is lower than 3.55, but we're on 4.5+ now. Cfw and ofw are not the same. But I'm also hoping for a solution whether it be by mcu upgrade, additional hardware on our ode, modifications on iso generation or some files inside the game, etc... As long as we can still play games and have access to psn like before.
     
    Last edited by a moderator: Feb 10, 2014
  14. 136
    30
    0
    unkn0wn.92

    unkn0wn.92 Loyal Member

    Joined:
    Nov 14, 2013
    as i know you need to have the original eboot & param to make the iso work if you have edited Eboot,Param files you will get either blackscreen or/and error message
     
  15. 303
    7
    0
    parenghames

    parenghames Loyal Member

    Joined:
    Sep 15, 2013
    Not really. I edited param.sfo of persona 4 arena to remove the region lock. Eboot is the critical one. Param can be edited and will still work as long as the encryption keys of ps3 is still the same on the latest firmware.
     
  16. 436
    112
    43
    Jock O'Strap

    Jock O'Strap Loyal Member

    Joined:
    Sep 27, 2012
    As long as it's a disc boot game and not a hdd boot game you should be able to resign eboot or sprx or edit the param.sfo. I guess there are a few reasons why most of the modded eboots floating around don't work on cobra. If the problem's that the eboot is signed for custom firmware or edited to work on lower firmware, then that can be fixed.

    I believe there is a thread on here somewhere where people are resigning psn games to work with cobra ode. If you couldn't resign the eboots then that would not be possible.

    And that situation is more complex. Some games have sprx files which the method to load has extra steps with a hdd boot game. I wonder if any of those titles work with ode? There are calls in the eboot to the system modules that manage np content to check sprx before it can be loaded; surely that would cause a problem? I suppose those calls could be patched out? You could find out from Patrick Batman; he's the one with all the experience with game files. He certainly knows all about sceNpDrmIsAvailable() and the other calls.
     
  17. 312
    42
    0
    Alfredo Guilenea

    Alfredo Guilenea <b>Ferrari's Engineer</b><br /><i>MaxConsole Spani Loyal Member

    Joined:
    Oct 5, 2013
    Location:
    Argentina - Capital Federal
    The CFW users have a lot of modding of the soft. That has to be really easy to detect for sony. They only need a hash check.
    Or something.

    We are worried about making perfect rips for keeping it safe.
    And cfw has lots and lots of mods on the files.

    They probably make another check somewhere.
    The games are allready decrypted.
    You cant change that in the middle. Maybe reencrypt again. But the only thing that are doing is delay the inevitable
     
  18. 45
    11
    0
    gas

    gas Loyal Member

    Joined:
    Dec 5, 2013
    Even if the eboot.bin originally singed with 4.55 you can resign the eboot.bin and edit the param.sfo to lower fw like 4.21

    No its not about replacing the file .. you have to hex edit the PARAM.SFO
     
    Jock O'Strap likes this.
  19. 436
    112
    43
    Jock O'Strap

    Jock O'Strap Loyal Member

    Joined:
    Sep 27, 2012
    this from my previous post:"As long as it's a disc boot game and not a hdd boot game you should be able to resign" sounds goofy in the same post as talking about re-signing psn games to work with ode. Maybe should have said something like: As long as it's a disc boot game and not a hdd boot game (trying to install and play as a hdd boot game)...

    damn, that still sounds goofy. well hope it's clearer what I'm trying to say. :p
     
  20. 2,017
    349
    0
    DarkKitarist

    DarkKitarist <b>Forum's Guitarist</b><br /><i>MaxConsole Mew-Me Loyal Member

    Joined:
    Dec 4, 2013
    Occupation:
    Student Gamer that works in a bank :P
    Location:
    In the Dark...
    You don't need to HEX edit the PARAM.SFO... For a simpler way you should use PARAM.SFO Editor(http://www.aldostools.org/ps3tools.html). And resigning the eboot.bin works like a charm :D used it on a bunch of games :D...

    PS. Most games you can check if they are 1:1 copies with IRDs but some games you can brake your teeth trying to get everything trough a IRD check... Some eboots are impossible to get a hold of... But after a month of playing games that I KNOW IRD failed, no ban :p... So I guess that Sony isn't that nit picky...
     

Share This Page